Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059736 - [abrt] turpial: preferences.py:256:__init__:TypeError: QLineEdit.setText(QString): argument 1 has unexpected type 'NoneType'
Summary: [abrt] turpial: preferences.py:256:__init__:TypeError: QLineEdit.setText(QStr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: turpial
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Edwind Richzendy Contreras Soto
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9c0e0181a4dd7a4034aa8ddc3ae...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 14:10 UTC by mark_a_rodriguez
Modified: 2015-06-29 14:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:53:15 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-30 14:10 UTC, mark_a_rodriguez
no flags Details
File: environ (deleted)
2014-01-30 14:10 UTC, mark_a_rodriguez
no flags Details

Description mark_a_rodriguez 2014-01-30 14:10:19 UTC
Version-Release number of selected component:
turpial-3.0-3.fc20

Additional info:
reporter:       libreport-2.1.11
cmdline:        /usr/bin/python2 /usr/bin/turpial
executable:     /usr/bin/turpial
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            502

Truncated backtrace:
preferences.py:256:__init__:TypeError: QLineEdit.setText(QString): argument 1 has unexpected type 'NoneType'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/turpial/ui/qt/main.py", line 278, in show_preferences_dialog
    self.preferences_dialog = PreferencesDialog(self)
  File "/usr/lib/python2.7/site-packages/turpial/ui/qt/preferences.py", line 44, in __init__
    self.browser_page = BrowserPage(base)
  File "/usr/lib/python2.7/site-packages/turpial/ui/qt/preferences.py", line 256, in __init__
    self.command.setText(current_browser)
TypeError: QLineEdit.setText(QString): argument 1 has unexpected type 'NoneType'

Local variables in innermost frame:
description: <PyQt4.QtGui.QLabel object at 0x25f7ef0>
self: <turpial.ui.qt.preferences.BrowserPage object at 0x25f7e60>
command_box: <PyQt4.QtGui.QHBoxLayout object at 0x2612560>
vbox: <PyQt4.QtGui.QVBoxLayout object at 0x2612680>
custom_label: <PyQt4.QtGui.QLabel object at 0x26123b0>
base: <turpial.ui.qt.main.Main object at 0x219ea70>
current_browser: None

Comment 1 mark_a_rodriguez 2014-01-30 14:10:23 UTC
Created attachment 857492 [details]
File: backtrace

Comment 2 mark_a_rodriguez 2014-01-30 14:10:24 UTC
Created attachment 857493 [details]
File: environ

Comment 3 Matt Molyneaux 2014-03-19 15:10:41 UTC
This appears to known upstream https://github.com/satanas/Turpial/pull/290

Comment 4 Edwind Richzendy Contreras Soto 2014-03-19 16:07:13 UTC
Thank you Matt,  I will lets you know when a new turpial stable version with this patch can be packaged

Comment 5 Fedora End Of Life 2015-05-29 10:44:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 14:53:15 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.